Bug 1263738 - Misleading error message on startup: Could not find artifact org.guvnor:guvnor-asset-mgmt-project:jar
Misleading error message on startup: Could not find artifact org.guvnor:guvno...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
medium Severity unspecified
: ER5
: 6.2.0
Assigned To: manstis
Jiri Locker
:
: 1254452 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 10:45 EDT by manstis
Modified: 2016-06-07 09:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description manstis 2015-09-16 10:45:02 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 manstis 2015-09-16 10:48:13 EDT
Sorry.. I thought I was going to be able to edit the "description" :(

When starting up kie-(drools)-wb the below error can be observed.

This is not an error, as AssetMgmtDeploymentUnitProvider tries to resolve the org.guvnor:guvnor-asset-mgmt-project:jar with Maven, if it cannot be found it deploys the JAR to the workbench's Maven Repository. 

The message is logged (as an ERROR) in GuvnorM2Repository.getArtifactFileFromRepository(). It should probably log as a warning and not an error.

15:44:07,330 ERROR [org.guvnor.m2repo.backend.server.GuvnorM2Repository] (MSC service thread 1-9) Could not find artifact org.guvnor:guvnor-asset-mgmt-project:jar:6.3.0.Final in guvnor-m2-repo (file:/home/manstis/Desktop/smoketest/eap/jboss-eap-6.4/bin/repositories/kie/): org.eclipse.aether.resolution.ArtifactResolutionException: Could not find artifact org.guvnor:guvnor-asset-mgmt-project:jar:6.3.0.Final in guvnor-m2-repo (file:/home/manstis/Desktop/smoketest/eap/jboss-eap-6.4/bin/repositories/kie/)
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:444) [aether-impl-1.0.0.v20140518.jar:]
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:246) [aether-impl-1.0.0.v20140518.jar:]
	at org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifact(DefaultArtifactResolver.java:223) [aether-impl-1.0.0.v20140518.jar:]
	at org.eclipse.aether.internal.impl.DefaultRepositorySystem.resolveArtifact(DefaultRepositorySystem.java:294) [aether-impl-1.0.0.v20140518.jar:]
	at org.guvnor.m2repo.backend.server.GuvnorM2Repository.getArtifactFileFromRepository(GuvnorM2Repository.java:976) [guvnor-m2repo-editor-backend-6.3.0.Final.jar:6.3.0.Final]
	at org.guvnor.m2repo.backend.server.GuvnorM2Repository$Proxy$_$$_WeldClientProxy.getArtifactFileFromRepository(GuvnorM2Repository$Proxy$_$$_WeldClientProxy.java) [guvnor-m2repo-editor-backend-6.3.0.Final.jar:6.3.0.Final]
	at org.jbpm.console.ng.asset.backend.server.AssetMgmtDeploymentUnitProvider.deployToLocalMavenIfNeeded(AssetMgmtDeploymentUnitProvider.java:119) [jbpm-console-ng-asset-mgmt-backend-6.3.0.Final.jar:6.3.0.Final]
	at org.jbpm.console.ng.asset.backend.server.AssetMgmtDeploymentUnitProvider.getDeploymentUnits(AssetMgmtDeploymentUnitProvider.java:68) [jbpm-console-ng-asset-mgmt-backend-6.3.0.Final.jar:6.3.0.Final]
	at org.jbpm.console.ng.asset.backend.server.AssetMgmtDeploymentUnitProvider$Proxy$_$$_WeldClientProxy.getDeploymentUnits(AssetMgmtDeploymentUnitProvider$Proxy$_$$_WeldClientProxy.java) [jbpm-console-ng-asset-mgmt-backend-6.3.0.Final.jar:6.3.0.Final]
Comment 5 Jiri Locker 2015-10-22 12:46:59 EDT
This issue is in an invalid state. It can't be ON_QA when the fix hasn't been backported to 6.3.x branch.

Also, it is unclear if it is targeted for 6.2.0 when the release flag hasn't been granted. (I think it should be acked as the fix is trivial.)
Comment 8 Jiri Locker 2015-11-10 08:07:07 EST
The exception is now logged on WARN level.

(Note: I am unable to get the message locally, but in Jenkins jobs which run with clean workspace.)
Comment 9 Jiri Locker 2015-11-10 08:34:36 EST
*** Bug 1254452 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.